ControlPluginManager (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ControlPluginManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ControlPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.ControlPluginManager

    public class ControlPluginManager

extends PluginManager

Field Summary
`static java.lang.String[]` | `BUILTIN_CMDS`

Fields inherited from class org.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`ControlPluginManager()`
`ControlPluginManager(java.util.Properties props)`

Method Summary
`void` | `addJob(java.lang.String name, java.lang.String jobId)`
`void` | `createControlPlugin(java.lang.String name, java.lang.String type, ConfigResponse config)`
`void` | `doAction(java.lang.String name, java.lang.String action, java.lang.String[] args)`
`java.util.List` | `getActions(java.lang.String name)`
`java.lang.String` | `getMessage(java.lang.String name)`
`java.lang.String` | `getName()`
`java.lang.String` | `getNextJob(java.lang.String name)`
`int` | `getResult(java.lang.String name)`
`void` | `removeControlPlugin(java.lang.String name)`
`void` | `removeNextJob(java.lang.String name)`
`void` | `updateControlPlugin(java.lang.String name, ConfigResponse config)`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, init, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, shutdown, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUILTIN_CMDS

    public static final java.lang.String[] BUILTIN_CMDS

Constructor Detail

### ControlPluginManager

    public ControlPluginManager()

### ControlPluginManager

    public ControlPluginManager(java.util.Properties props)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `PluginManager`

### createControlPlugin

    public void createControlPlugin(java.lang.String name,
                                    java.lang.String type,
                                    ConfigResponse config)
                             throws PluginNotFoundException,
                                    PluginExistsException,
                                    PluginException

  Throws:
    `PluginNotFoundException`
    `PluginExistsException`
    `PluginException`

### updateControlPlugin

    public void updateControlPlugin(java.lang.String name,
                                    ConfigResponse config)
                             throws PluginNotFoundException,
                                    PluginException

  Throws:
    `PluginNotFoundException`
    `PluginException`

### getActions

    public java.util.List getActions(java.lang.String name)
                              throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### addJob

    public void addJob(java.lang.String name,
                       java.lang.String jobId)

### getNextJob

    public java.lang.String getNextJob(java.lang.String name)
                                throws java.util.NoSuchElementException

  Throws:
    `java.util.NoSuchElementException`

### removeNextJob

    public void removeNextJob(java.lang.String name)
                       throws java.util.NoSuchElementException

  Throws:
    `java.util.NoSuchElementException`

### doAction

    public void doAction(java.lang.String name,
                         java.lang.String action,
                         java.lang.String[] args)
                  throws PluginNotFoundException,
                         PluginException

  Throws:
    `PluginNotFoundException`
    `PluginException`

### getResult

    public int getResult(java.lang.String name)
                  throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### getMessage

    public java.lang.String getMessage(java.lang.String name)
                                throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### removeControlPlugin

    public void removeControlPlugin(java.lang.String name)
                             throws PluginException,
                                    PluginNotFoundException

  Throws:
    `PluginException`
    `PluginNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.